Package org.eclipse.jdt.ui.actions

## Class OpenViewActionGroup

- java.lang.Object
- - org.eclipse.ui.actions.ActionGroup
  - - org.eclipse.jdt.ui.actions.OpenViewActionGroup

    public class OpenViewActionGroup
    extends ActionGroup

Action group that adds actions to open a new JDT view part or an external viewer to a context menu and the global menu bar.

This class may be instantiated; it is not intended to be subclassed.

Since:
  2.0
Restriction:
  This class is not intended to be subclassed by clients.

### Constructor Summary

Constructors
`OpenViewActionGroup​(org.eclipse.jdt.internal.ui.javaeditor.JavaEditor part)` Note: This constructor is for internal use only.
`OpenViewActionGroup​(IViewPart part)` Creates a new `OpenActionGroup`.
`OpenViewActionGroup​(IViewPart part, ISelectionProvider selectionProvider)` Creates a new `OpenActionGroup`.
`OpenViewActionGroup​(IWorkbenchSite site, ISelectionProvider selectionProvider)` Creates a new `OpenActionGroup`.
`OpenViewActionGroup​(Page page)` Creates a new `OpenActionGroup`.
`OpenViewActionGroup​(Page page, ISelectionProvider selectionProvider)` Creates a new `OpenActionGroup`.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `containsOpenPropertiesAction​(boolean enable)` Specifies if this action group also contains the 'Properties' action (`PropertyDialogAction`).
`void` `containsShowInMenu​(boolean enable)` Specifies if this action group also contains the 'Show In' menu (See `ContributionItemFactory.VIEWS_SHOW_IN`).
`void` `dispose()`
`void` `fillActionBars​(IActionBars actionBar)`
`void` `fillContextMenu​(IMenuManager menu)`

### Methods inherited from class org.eclipse.ui.actions.ActionGroup

`getContext, setContext, updateActionBars`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OpenViewActionGroup

    public OpenViewActionGroup​(Page page)

Creates a new `OpenActionGroup`. The group requires that the selection provided by the page's selection provider is of type `IStructuredSelection`.

Parameters:
  `page` - the page that owns this action group

#### OpenViewActionGroup

    public OpenViewActionGroup​(Page page,
                               ISelectionProvider selectionProvider)

Creates a new `OpenActionGroup`. The group requires that the selection provided by the given selection provider is of type `IStructuredSelection`.

Parameters:
  `page` - the page that owns this action group
  `selectionProvider` - the selection provider used instead of the page selection provider.
Since:
  3.2

#### OpenViewActionGroup

    public OpenViewActionGroup​(IViewPart part)

Creates a new `OpenActionGroup`. The group requires that the selection provided by the part's selection provider is of type `IStructuredSelection`.

Parameters:
  `part` - the view part that owns this action group

#### OpenViewActionGroup

    public OpenViewActionGroup​(IViewPart part,
                               ISelectionProvider selectionProvider)

Creates a new `OpenActionGroup`. The group requires that the selection provided by the given selection provider is of type `IStructuredSelection`.

Parameters:
  `part` - the view part that owns this action group
  `selectionProvider` - the selection provider used instead of the page selection provider.
Since:
  3.2

#### OpenViewActionGroup

    public OpenViewActionGroup​(IWorkbenchSite site,
                               ISelectionProvider selectionProvider)

Creates a new `OpenActionGroup`. The group requires that the selection provided by the given selection provider is of type `IStructuredSelection`.

Parameters:
  `site` - the site that will own the action group.
  `selectionProvider` - the selection provider used instead of the page selection provider.
Since:
  3.2

#### OpenViewActionGroup

    public OpenViewActionGroup​(org.eclipse.jdt.internal.ui.javaeditor.JavaEditor part)

Note: This constructor is for internal use only. Clients should not call this constructor.

Parameters:
  `part` - the editor part
Restriction:
  This constructor is not intended to be referenced by clients.

### Method Detail

#### containsOpenPropertiesAction

    public void containsOpenPropertiesAction​(boolean enable)

Specifies if this action group also contains the 'Properties' action (`PropertyDialogAction`). By default, the action is contained in the group.

Parameters:
  `enable` - If set, the 'Properties' action is part of this action group
Since:
  3.3

#### containsShowInMenu

    public void containsShowInMenu​(boolean enable)

Specifies if this action group also contains the 'Show In' menu (See `ContributionItemFactory.VIEWS_SHOW_IN`). By default, the action is contained in the group except for editors.

Parameters:
  `enable` - If set, the 'Show In' menu is part of this action group
Since:
  3.3

#### fillActionBars

    public void fillActionBars​(IActionBars actionBar)

Overrides:
  `fillActionBars` in class `ActionGroup`

#### fillContextMenu

    public void fillContextMenu​(IMenuManager menu)

Overrides:
  `fillContextMenu` in class `ActionGroup`

#### dispose

    public void dispose()

Overrides:
  `dispose` in class `ActionGroup`